# I3DExDisplacementPrimitive Struct Reference

Inheritance diagram for I3DExDisplacementPrimitive:

List of all members.

## Public Member Functions
virtual void MCCOMAPI | Displace (FacetMesh **outMesh, FacetMesh *inMesh, I3DShShader *shader, const TDisplacementParameters &parameters, I3DShInstance *instance)=0
virtual void MCCOMAPI | DisplaceMesh (FacetMesh **outMesh, MeshDataStructure::TMesh *inMesh, I3DShShader *shader, const TDisplacementParameters &parameters, I3DShInstance *instance)=0
virtual void MCCOMAPI | DisplaceMesh (FacetMesh **outMesh, TFaceSet *inFaceSet, I3DShShader *shader, const TDisplacementParameters &parameters, I3DShInstance *instance)=0
virtual void MCCOMAPI | GetBoundingBox (TBBox3D &inOutBoundingBox, const TDisplacementParameters &parameters)=0
virtual void MCCOMAPI | DisplaceMesh2 (FacetMesh **outMesh, TFaceSet *inFaceSet, TMCCountedPtrArray< I3DShShader > &shaders, I3DShInstance *instance)=0
virtual void MCCOMAPI | Displace2 (FacetMesh **outMesh, FacetMesh *inMesh, TMCCountedPtrArray< I3DShShader > &shaders, I3DShInstance *instance)=0
virtual void MCCOMAPI | GetBoundingBox2 (TBBox3D &inOutBoundingBox)=0

## Member Function Documentation

virtual void MCCOMAPI I3DExDisplacementPrimitive::Displace | ( | FacetMesh ** | outMesh,
|  | FacetMesh * | inMesh,
|  | I3DShShader * | shader,
|  | const TDisplacementParameters & | parameters,
|  | I3DShInstance * | instance |
| ) |  |  | `[pure virtual]`

Apply a displacement mapping to a mesh and returns another mesh.

Parameters:

  | outMesh | The mesh with displacement mapping applied.
  | inMesh | The original mesh
  | shader | A pointer to the displacement function
  | parameters | The parameters of the displacement mapping.

virtual void MCCOMAPI I3DExDisplacementPrimitive::Displace2 | ( | FacetMesh ** | outMesh,
|  | FacetMesh * | inMesh,
|  | TMCCountedPtrArray< I3DShShader > & | shaders,
|  | I3DShInstance * | instance |
| ) |  |  | `[pure virtual]`

Apply a displacement mapping to a mesh and returns another mesh.

Parameters:

  | outMesh | The mesh with displacement mapping applied.
  | inMesh | The original mesh
  | shaders | An array of pointers to the displacement functions
  | parameters | The parameters of the displacement mapping.

virtual void MCCOMAPI I3DExDisplacementPrimitive::DisplaceMesh | ( | FacetMesh ** | outMesh,
|  | TFaceSet * | inFaceSet,
|  | I3DShShader * | shader,
|  | const TDisplacementParameters & | parameters,
|  | I3DShInstance * | instance |
| ) |  |  | `[pure virtual]`

Apply a displacement mapping to a mesh and returns another mesh.

Parameters:

  | outMesh | The mesh with displacement mapping applied.
  | inFaceSet | The original faceSet
  | shader | A pointer to the displacement function
  | parameters | The parameters of the displacement mapping.

virtual void MCCOMAPI I3DExDisplacementPrimitive::DisplaceMesh | ( | FacetMesh ** | outMesh,
|  | MeshDataStructure::TMesh * | inMesh,
|  | I3DShShader * | shader,
|  | const TDisplacementParameters & | parameters,
|  | I3DShInstance * | instance |
| ) |  |  | `[pure virtual]`

Apply a displacement mapping to a mesh and returns another mesh.

Parameters:

  | outMesh | The mesh with displacement mapping applied.
  | inMesh | The original mesh
  | shader | A pointer to the displacement function
  | parameters | The parameters of the displacement mapping.

virtual void MCCOMAPI I3DExDisplacementPrimitive::DisplaceMesh2 | ( | FacetMesh ** | outMesh,
|  | TFaceSet * | inFaceSet,
|  | TMCCountedPtrArray< I3DShShader > & | shaders,
|  | I3DShInstance * | instance |
| ) |  |  | `[pure virtual]`

Apply a displacement mapping to a mesh and returns another mesh.

Parameters:

  | outMesh | The mesh with displacement mapping applied.
  | inFaceSet | The original faceSet
  | shaders | An array of pointers to the displacement functions
  | parameters | The parameters of the displacement mapping.

virtual void MCCOMAPI I3DExDisplacementPrimitive::GetBoundingBox | ( | TBBox3D & | inOutBoundingBox,
|  | const TDisplacementParameters & | parameters |
| ) |  |  | `[pure virtual]`

Returns the bounding box of an object after displacement mapping is applied

Parameters:

  | inOutBoundingBox | The bounding to modify
  | parameters | The parameters of the displacement mapping.

virtual void MCCOMAPI I3DExDisplacementPrimitive::GetBoundingBox2 | ( | TBBox3D & | inOutBoundingBox | ) | `[pure virtual]`

Returns the bounding box of an object after displacement mapping is applied

Parameters:

  | inOutBoundingBox | The bounding to modify
  | parameters | The parameters of the displacement mapping.

The documentation for this struct was generated from the following file:

- I3DExDisplacementPrimitive.h